System and Operating Requirements

Last update 1/31/2023

We work diligently to move forward and keep up with technology industry changes. Be sure to keep all clinic devices and internet browsers updated to optimize all areas of the Keet platform. 

System Requirements 

If your team is experiencing clinic-wide issues with the sign-in webpage, please review the following checklist.  

Checklist: 

  • Your IT Department will need to ensure that the following link is whitelisted: http://api.keetservices.com/ 
  • Review Operating System requirements as outlined below

Operating Systems

All Operating Systems must be the current or previous version to ensure the full functionality of the platform. 

Computer (Desktop/Laptop):

Browser

Operating System

Chrome

Mac OS X 10.14 or 10.15
Windows 10

Edge

Windows 10

Firefox

Mac OS X 10.14 or 10.15
Windows 10

Safari

Mac OS X 10.14 or 10.15
Windows 10

 

Mobile:

Check your General Settings menu on your mobile device to ensure you are on the most recent operating system for your Apple or Android devices. Older models may not be compatible to install the latest operating systems. If your device is showing an error updating the operating system, please check in with your carrier for assistance.

For in-clinic use of the QR code for patients to complete documentation, we recommend using a 10" or larger Tablet or iPad, and IOS to be 15.8 or higher. 

Browser

Operating System

Current IOS 

Chrome

Android

iOS

13

16.3

Safari

iOS

16.3

Kindle

Kindle OS

 

 

The patient Mobile app must be on Keet version 3.8.2

Troubleshooting

If you are having trouble with QR codes scanning on your Android device, review this article for troubleshooting tips.